Bug 461358 - (weplab) Review Request: weplab - Analyzing WEP encryption security on wireless networks
Review Request: weplab - Analyzing WEP encryption security on wireless networks
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-06 09:52 EDT by Fabian Affolter
Modified: 2014-09-25 08:04 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-13 12:06:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bdpepple: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2008-09-06 09:52:55 EDT
Spec URL: <http://fab.fedorapeople.org/packages/SRPMS/weplab.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/weplab-0.1.5-1.fc9.src.rpm

Description: 
WepLab is a tool designed to teach how WEP works, what different
vulnerabilities it has, and how they can be used in practice to
break a WEP protected wireless network. So far, WepLab is more than
a Wep Key Cracker, it is a Wep Security Analyzer designed from an
educational point of view. The author has tried to leave the
source code as clear as possible, running away from optimizations
that would obfuscate it.

This is my first package for Fedora.
Comment 1 Christoph Wickert 2008-09-06 13:10:05 EDT
Some quick comments on your spec:

- license is GPLv2+. Take a look at the haeders of the source: "or (at your option) any later version"

- remove INSTALL from %doc, it generic information that is not needed when installed from rpm

- remove NEWS from %doc, it's empty

- the manpage should not have %doc

- mockbuild fails:
  checking for pcap_open_live in -lpcap... no
  ERROR: You need libpcap-dev!
So obviously this BuildRequires: libpcap-devel
Comment 2 Fabian Affolter 2008-09-07 07:19:43 EDT
(In reply to comment #1)

Thanks for reviewing my first package.

> Some quick comments on your spec:
> 
> - license is GPLv2+. Take a look at the haeders of the source: "or (at your
> option) any later version"

fixed

> - remove INSTALL from %doc, it generic information that is not needed when
> installed from rpm

fixed

> - remove NEWS from %doc, it's empty

fixed
 
> - the manpage should not have %doc

fixed

> - mockbuild fails:
>   checking for pcap_open_live in -lpcap... no
>   ERROR: You need libpcap-dev!
> So obviously this BuildRequires: libpcap-devel

fixed -> BuildRequires:  libpcap-devel

New files:

Spec URL: http://fab.fedorapeople.org/packages/SRPMS/weplab.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/weplab-0.1.5-2.fc9.src.rpm
Comment 3 Fabian Affolter 2008-09-10 02:25:02 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=817120
Comment 4 Brian Pepple 2008-09-10 19:24:53 EDT
MD5Sums:
713870965447b0b8b7341409968846fb  weplab-0.1.5.tar.gz

Good:
* Source URL is canonical
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Group Tag is from the official list
* Valid license tag
* Buildroot has all required elements
* All paths begin with macros
* All necessary BuildRequires listed.
* Files have appropriate permissions and owners (except the noted item below)
* Package installs and uninstalls cleanly
* rpmlint produces no errors or warnings

+1 APPROVE.

Go ahead and request membership to the packager group in the accounts system, and I'll be your sponsor.  https://admin.fedoraproject.org/accounts/
Comment 5 Christoph Wickert 2008-09-10 20:24:25 EDT
Sorry, I was not fast enough

(In reply to comment #4)
> 
> Go ahead and request membership to the packager group in the accounts system,
> and I'll be your sponsor.

Brian, I can also sponsor Fabian if you like. We know each other from real live and we speak the same language. What do you think?
Comment 6 Christoph Wickert 2008-09-10 20:38:20 EDT
After looking at the README I think this package should require wireless-tools.
Comment 7 Brian Pepple 2008-09-10 20:44:24 EDT
(In reply to comment #5)
> Brian, I can also sponsor Fabian if you like. We know each other from real live
> and we speak the same language. What do you think?

I've no problem with that.
Comment 8 Fabian Affolter 2008-09-11 12:46:28 EDT
(In reply to comment #6)
> After looking at the README I think this package should require wireless-tools.

hmmm, I guess it's possible to use weplab without the wireless-tools.  But this make only sense if the user wants to use it with data from another source (e. g. wireshark, tcpdump, ...).

add Requires:  wireless-tools

New files:
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/weplab.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/weplab-0.1.5-3.fc9.src.rpm

Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=820605
Comment 9 Christoph Wickert 2008-09-11 15:11:46 EDT
(In reply to comment #8)
> add Requires:  wireless-tools

The decision to add the requirement for wireless-tools is up to you. No need to make another release or do a scratch build for this, because the package was already approved.

I have sponsored you, so it's time for the CVSAdmin procedure now:
http://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure
Comment 10 Fabian Affolter 2008-09-11 15:59:08 EDT
New Package CVS Request
=======================
Package Name: weplab
Short Description: Analyzing WEP encryption security on wireless networks
Owners: fab
Branches: F-8 F-9
Comment 11 Huzaifa S. Sidhpurwala 2008-09-11 23:17:01 EDT
cvs done
Comment 12 Fabian Affolter 2008-09-13 12:06:25 EDT
Thanks for reviewing, the help, and CVS.
Comment 13 Christoph Wickert 2008-10-10 16:58:40 EDT
Fabian, I see you have build weplab for F8 and F9, but I don't see it in the repos. Have you made updates in the update system at https://admin.fedoraproject.org/updates ?
Comment 14 Christoph Wickert 2008-10-10 17:00:40 EDT
Ok, forget about it. I see you pushed them to stable today. Sorry for the noise ;(
Comment 15 Fedora Update System 2008-11-10 14:26:24 EST
weplab-0.1.5-3.fc10 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/weplab-0.1.5-3.fc10
Comment 16 Fabian Affolter 2014-09-24 17:02:40 EDT
Package Change Request
======================
Package Name: weplab
New Branches: el6 epel7
Owners: fab
InitialCC:
Comment 17 Gwyn Ciesla 2014-09-25 08:04:11 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.